import { csvParse, select } from 'd3';
import { scatterPlot } from './scatterPlot';
import data from './data.csv';

for (const d of data) {
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
}

export const main = (container, { state, setState }) => {
  const width = window.innerWidth;
  const height = window.innerHeight;

  const svg = select(container)
    .selectAll('svg')
    .data([null])
    .join('svg')
    .attr('width', width)
    .attr('height', height);

  svg.call(scatterPlot, {
    data,
    width,
    height,
    xValue: (d) => d.sepal_length,
    yValue: (d) => d.petal_length,
    colorValue: (d) => d.species,
    xAxisLabel: 'Sepal Length',
    yAxisLabel: 'Petal Length',
    colorLegendLabel: 'Species',
    margin: {
      top: 38,
      right: 51,
      bottom: 50,
      left: 50,
    },
    colorLegendX: width - 106,
    colorLegendY: height - 164,
  });
};
